#ifndef GLOBALINSTANCE_H
#define GLOBALINSTANCE_H

#include <QObject>

class GlobalInstance : public QObject
{
    Q_OBJECT
public:
    static GlobalInstance *instance;
    explicit GlobalInstance(QObject *parent = nullptr);    
    static GlobalInstance* getInstance();
    ~GlobalInstance();

Q_SIGNALS:
    void dir_change();
    void video_dir_change();
    void change_dev(const char *);
    void change_resolutions(QPair<uint,uint>);
    void settingPageSig();
    void displayCameraErrorSig(int);
    void settingOptionsOn(bool);

};

#endif // GLOBALINSTANCE_H
